Favicon

You are here: Home > API Reference > App Distribution > Uploads > Upload image file

Upload image file

Required Permission: base.upload.action.uploadLogo

Upload image file to serve as logo for Organizations and Applications

POST
https://api.applivery.io/v1/upload/logo/logo
curl -X POST "https://api.applivery.io/v1/upload/logo/logo" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/upload/logo/logo", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/upload/logo/logo",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
≤ 128 characters
url string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "id": "string",
        "url": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5007
message string optional
File extension not allowed
{
    "status": false,
    "error": {
        "code": 5006,
        "message": "No File Found in request"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}